package valuechange

import java.io.Serializable;
import org.jboss.seam.annotations.Name;
import javax.faces.event.ValueChangeEvent;
import javax.faces.context.FacesContext;

@Name("valueChangeManager")
public class ValueChangedBean implements Serializable, ValueChanged {
	private String state=""; 
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	public String valueChanges(ValueChangeEvent e) {
		if (e.getNewValue().equals("keyword")) {
			state="keyword";
			keywordSelected();
			
		}else if (e.getNewValue().equals("sms")) {
			state = "sms";
			smsSelected();
			
		}else if (e.getNewValue().equals("c3t0")) {
			state="c3t0";
			c3toSelected();
			
		} 
		state=e.getNewValue().toString();
		FacesContext.getCurrentInstance().renderResponse();
		return state;
	}
	
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}

	public String keywordSelected() {
		
		return "/serviceKeyword.xhtml";
	}

	public String smsSelected() {
		
		return "/serviceSms.xhtml";
	}

	public String c3toSelected() {
		
		return "/servicec3to.xhtml";
	}
	
}